ArcoLinux 19.09 iso has been released

[SOLVED] Can't update my arcolinux system because of signature from pcsclite

Post Reply
jeffneedle
Crewman
Posts: 5
Joined: Mon Jul 16, 2018 2:53 am
United States of America
[SOLVED] Can't update my arcolinux system because of signature from pcsclite

Post by jeffneedle » Wed Sep 04, 2019 6:12 am

I'm not sure which version of ArcoLinux I'm using. It's an older iso. Not sure how to figure out which one I'm using.

When I go to update the system, I get an error that keeps me from updating. Same for installing software. Is there a way to fix this? Or do I need to download the newest iso?

I'm pasting the entire dialogue from the update manager, if this is helpful. Thanks.

Synchronizing package databases...
Starting full system upgrade...
Cloning breeze-cursors-lh build files...
Checking breeze-cursors-lh dependencies...
Cloning conky-lua-archers build files...
Checking conky-lua-archers dependencies...
Cloning downgrade build files...
Checking downgrade dependencies...
Cloning font-manager build files...
Checking font-manager dependencies...
Cloning halo-icons-git build files...
Checking halo-icons-git dependencies...
Cloning i3-gaps-next-git build files...
Checking i3-gaps-next-git dependencies...
Cloning menulibre build files...
Checking menulibre dependencies...
Cloning mugshot build files...
Checking mugshot dependencies...
Cloning numix-circle-icon-theme-git build files...
Checking numix-circle-icon-theme-git dependencies...
Cloning numix-icon-theme-git build files...
Checking numix-icon-theme-git dependencies...
Cloning oomox build files...
Checking oomox dependencies...
Cloning pamac-aur build files...
Checking pamac-aur dependencies...
Cloning papirus-icon-theme-git build files...
Checking papirus-icon-theme-git dependencies...
Cloning python-pystache build files...
Checking python-pystache dependencies...
Cloning timeshift build files...
Checking timeshift dependencies...
Cloning trizen build files...
Checking trizen dependencies...
Cloning vivaldi build files...
Checking vivaldi dependencies...
Cloning vivaldi-codecs-ffmpeg-extra-bin build files...
Checking vivaldi-codecs-ffmpeg-extra-bin dependencies...
Cloning wpa_actiond build files...
Checking wpa_actiond dependencies...
Cloning xcursor-breeze build files...
Checking xcursor-breeze dependencies...
Cloning xfce4-panel-profiles build files...
Checking xfce4-panel-profiles dependencies...
Cloning yad build files...
Checking yad dependencies...
Cloning zafiro-icon-theme build files...
Checking zafiro-icon-theme dependencies...
Cloning resvg build files...
Checking resvg dependencies...
Resolving dependencies...
Checking inter-conflicts...

Downloading pcsclite (1.8.25-1-x86_64)...
Checking keyring...
Checking integrity...
Error: pcsclite: signature from "Alad Wenter <alad@archlinux.org>" is unknown trust
Failed to commit transaction:
invalid or corrupted package:
Last edited by jeffneedle on Wed Sep 04, 2019 9:16 pm, edited 1 time in total.

User avatar
erikdubois
Captain
Posts: 2543
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:
Belgium
Re: [OPEN] Can't update my arcolinux system because of signature from pcsclite

Post by erikdubois » Wed Sep 04, 2019 8:21 am

It installed just fine here - the one from community - pcsclite 1.8.25-1
Error: pcsclite: signature from "Alad Wenter <alad@archlinux.org>" is unknown trust
This means that the developer Alad Wenter is not known to the system.

Arch Linux protect us.

Read up on this page.

https://wiki.archlinux.org/index.php/Pa ... ge_signing

As a first solution I would try getting in the last keyring with this command.

Code: Select all

sudo pacman -S archlinux-keyring
Today that is version 20190827-1. So version from 27/08/2019.

That is important. It contains the 'valid' keyrings and gets rid of the old ones that are no longer valid.

Try only that and see if it works.

I do not think you need to reboot. So try it first without rebooting and let us know how it goes.
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.

jeffneedle
Crewman
Posts: 5
Joined: Mon Jul 16, 2018 2:53 am
United States of America
Re: [OPEN] Can't update my arcolinux system because of signature from pcsclite

Post by jeffneedle » Wed Sep 04, 2019 9:15 pm

Bingo! Thanks so much.


Post Reply

Return to “Installation of Software (pacman, AUR, ...)”